textures/glassman/glowpanel
{
	qer_editorimage textures/glassman/panel.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/glassman/panel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/glassman/panel.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/glassman/glowpanel2
{
	qer_editorimage textures/glassman/panel3.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/glassman/panel3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/glassman/panel3.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/glassman/gm_barbedwire
{
	qer_editorimage textures/glassman/gm_barbedwire01.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans

	{
		map textures/glassman/gm_barbedwire01.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//FLICKERING STRIP LIGHT
textures/glassman/gm_baslt4_1_2k_flick
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbgen wave sin 0.5 0.3 0 10
	}
}

textures/glassman/gm_blueflash
{
	q3map_lightimage textures/glassman/gm_lightblu.tga
	qer_editorimage textures/glassman/gm_lightblu.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/glassman/gm_lightblu.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/glassman/gm_lightblu.tga
		blendFunc add
		rgbGen wave square .5 .5 0 1
	}
}

//ELECTRICAL WIRES WITH RED SPARKS
textures/glassman/gm_electricwall_red
{
	qer_editorimage textures/organics/wire02a_f.tga
	q3map_surfacelight 400

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/organics/wire02a_f.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/organics/wire02a_f.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/glassman/gm_electric2.red.tga
		rgbGen wave sin 0.6 1 0 2
		tcMod scroll 0.53 0.43
		blendfunc GL_ONE GL_ONE
	}
}

textures/glassman/gm_glass
{
	surfaceparm trans
	qer_trans 0.25
	surfaceparm nolightmap
	qer_editorimage textures/glassman/gm_glass.tga

	{
		map textures/glassman/gm_glass.tga
		tcgen environment
		blendFunc gl_one gl_one
		rgbGen identity
	}
}

//PROTO_FENCE-MAKE VISIBLE FROM BOTH SIDES
textures/glassman/gm_proto_fence
{
	qer_editorimage textures/base_trim/proto_fence.tga
	cull none

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/glassman/gm_teleq
{
	qer_editorimage textures/glassman/gm_teleq2.tga
	q3map_lightimage textures/glassman/gm_teleq2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	deformVertexes wave 5 sin 1 0.5 0.2 2
	q3map_surfacelight 300

	{
		map textures/glassman/gm_teleq1.tga
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/glassman/gm_teleq2.tga
		blendfunc add
		rgbGen wave sin 1 0.2 0 1
		tcMod turb 0 0.05 0 0.5
		tcMod scroll 0.25 0.1
	}
	{
		map textures/glassman/gm_teleq3.tga
		blendfunc add
		rgbGen wave sin 1 0.6 0.5 0.5
		tcMod turb 0 0.05 0 0.3
		tcMod scroll -0.05 0.2
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

textures/glassman/gm_whiteflare
{
	qer_editorimage textures/glassman/gm_spotflare.tga
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/glassman/gm_spotflare.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/glassman/pewter_dullrusty
{
	qer_editorimage textures/glassman/gm_pewter_shiney.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/glassman/gm_pewter_shiney.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/glassman/pewter_dullstep
{
	qer_editorimage textures/glassman/gm_pewterstep.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/glassman/gm_pewterstep.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

//Pipe water shader..thx MrClean
textures/glassman/waterfall
{
	qer_editorimage textures/glassman/gm_falls1.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	tessSize 64
	cull disable
	deformVertexes wave 64 triangle 1 3 .1 .8

	{
		map textures/glassman/gm_falls1.tga
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 1.0 2.0
		tcMod turb .1 .05 .25 .08
		tcMod scroll .8 -.125
	}
	{
		map textures/liquids/pool3d_3.tga
		blendfunc GL_DST_COLOR GL_ONE
		tcMod scale .5 .5
		tcMod turb .1 .075 .5 .05
		tcMod scroll 1. .1
	}
}

//fatmanfats' wire spark alternative..not used in the end but thx anyway.
textures/glassman/wires_fmf
{
	qer_editorimage textures/base_trim/wire02a_f.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_trim/wire02a_f.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/sfx/electric2.blend.tga
		blendfunc add
		rgbGen wave sin 1 0.2 0 0.1
		tcMod scroll -0.2 5
		tcMod scale 0.05 0.05
	}
}


//Flare Shader in Central Drum Thanks to:
//Louie "KnightBK" Doulias
//Black Knight Productions
//http://www.og-world.com
textures/glassman/corona
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/glassman/corona.tga
		blendFunc GL_ONE GL_ONE
	}
}
